# Region

Regions define political or geographical groupings of countries or territories.

For example, the [European Union](https://en.wikipedia.org/wiki/European_Union) is defined as a list of countries, while [Europe](https://en.wikipedia.org/wiki/Europe) is defined geographically by a series of polygons.

There is one special region that includes all countries in the world and has special AID `RGN-WRLD-WIDE`

The Region object includes the following properties:

| Property       | Type         | Description                                                                                                                                                                                   |
| -------------- | ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `aid`          | string       | The aviowiki ID for this Region, with naspace `RGN`                                                                                                                                           |
| `name`         | string       | The name assigned to the Region.                                                                                                                                                              |
| `countries`    | list, `null` | <p>A list of <a href="/pages/-MUP3Jkil0DeGQKvY9rY">Countries</a> that are included in the Region.<br><code>null</code> indicates that the Region is not defined by any Country.</p>           |
| `multipolygon` | list, `null` | <p>A list of polygons, that are on their own a list of Coordinates that define the vertices of the polygon.<br><code>null</code> indicates that the Region is not defined by any polygon.</p> |

For example

```
{
  "aid": "RGN-DOCS-TEST",
  "name": "Test Region",
  "countries": [
    {
      "iso2": "FO",
      "iso3": "FRO",
      "isoNumeric": 234,
      "name": "Faroe Islands",
      "officialName": null,
      "localIdentifierName": null
    }
  ],
  "multipolygon": [
    [
      [
        3.7792969,
        80.9491884
      ],
      [
        41.0449219,
        80.9422728
      ],
      [
        18.984375,
        73.4033377
      ]
    ]
  ]
}
```

Represents a Region that includes Faroes Islands as a Country, and Svalbard as a geographical area enclosed in a triangle.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/data-models/region.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
